Name:    qyoto
Summary: C# Mono Qt 4 bindings
Version: 4.14.3
Release: %mkrel 3
Group:	Graphical desktop/KDE4
License:       GPL
URL:           https://projects.kde.org/projects/kde/kdebindings/csharp/qyoto
Source:        ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs-devel >= %version
BuildRequires: smokegen-devel >= %version
BuildRequires: smokeqt-devel >= %version
BuildRequires: mono
BuildRequires: phonon-devel
BuildRequires: qimageblitz
BuildRequires: kde4-macros
BuildRequires: cmake
BuildRequires: qscintilla-qt4-devel

Provides: mono-qt4 = %version-%release

%description
.NET/Mono bindings for the Qt libraries.

%files
%_prefix/lib/mono/qyoto/qt-dotnet.dll
%_prefix/lib/mono/qyoto/qscintilla.dll
%_prefix/lib/mono/qyoto/qtscript.dll
%_prefix/lib/mono/qyoto/qtuitools.dll
%_prefix/lib/mono/qyoto/qtwebkit.dll
%_prefix/lib/mono/qyoto/qttest.dll
%_prefix/lib/mono/qyoto/phonon.dll
%_prefix/lib/mono/gac/qttest
%_prefix/lib/mono/gac/qt-dotnet
%_prefix/lib/mono/gac/qscintilla/*/qscintilla.dll
%_prefix/lib/mono/gac/qtscript
%_prefix/lib/mono/gac/qtwebkit
%_prefix/lib/mono/gac/qtuitools
%_prefix/lib/mono/gac/phonon
%_kde_libdir/libqscintilla-sharp.so
%_kde_libdir/libqtscript-sharp.so
%_kde_libdir/libqtuitools-sharp.so
%_kde_libdir/libqtwebkit-sharp.so
%_kde_libdir/libqttest-sharp.so
%_kde_libdir/libphonon-sharp.so

#------------------------------------------------------------

%define libqyoto_major 2
%define libqyoto %mklibname qyoto %{libqyoto_major}

%package -n %{libqyoto}
Summary: Qt generic bindings library
Group: System/Libraries

%description -n %{libqyoto}
Qt generic bindings library.

%files -n %{libqyoto}
%_kde_libdir/libqyoto.so.%{libqyoto_major}*

#------------------------------------------------------------

%package -n qyoto-devel
Summary: Header files for qyoto
Group: Development/Libraries
Provides: mono-qt4-devel = %version-%release
Requires: qyoto = %version-%release
Requires: %{_lib}qyoto%{libqyoto_major} = %version-%release
#Conflicts: %{name} < %version-%release

%description -n qyoto-devel
qyoto devel files.

%files -n qyoto-devel
%_kde_bindir/csrcc
%_kde_bindir/uics
%_kde_includedir/qyoto
%_kde_libdir/libqyoto.so
%_kde_libdir/pkgconfig/qyoto.pc
%_kde_libdir/pkgconfig/qtscript-sharp.pc
%_kde_libdir/pkgconfig/qttest-sharp.pc
%_kde_libdir/pkgconfig/qtuitools-sharp.pc
%_kde_libdir/pkgconfig/qtwebkit-sharp.pc
%_kde_datadir/qyoto/cmake/*
%_kde_datadir/qyoto/key.snk

#------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

%changelog
* Thu Jul 23 2015 pp <pp> 4.14.3-3pclos2015
- rebuild on 15.04.3

* Sat Jun 20 2015 bb <bb> 4.14.3-2pclos2015
- rebuild against qscinta 2.8.1

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

